LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File evolution-mapi-openSUSE_12.3.spec of Package evolution-mapi (Project GNOME:Evolution:mapi)

#
# spec file for package evolution-mapi
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sambaprefix /usr/%{_lib}/samba4
%define bversion 3.6.3

Name:           evolution-mapi
Version:        3.6.4
Release:        0
Summary:        Evolution extension for MS Exchange 2007 servers
Group:          Productivity/Networking/Email/Clients
License:        LGPL-2.1
URL:            http://www.gnome.org/projects/evolution-mapi/
Source:         http://ftp.gnome.org/pub/gnome/sources/evolution-mapi/3.6/%{name}-%{version}.tar.xz
Patch0:         evolution-mapi-3.6.4-base-version-change.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  intltool pkg-config
BuildRequires:  gnome-common
BuildRequires:  samba4-devel >= 4.0.0
BuildRequires:  openchange-devel = 1.0
BuildRequires:  evolution-data-server-devel >= %{bversion}
BuildRequires:  evolution-devel >= %{bversion}
BuildRequires:  libunique-devel
Recommends:     %{name}-lang = %{version}
Recommends:     krb5-auth-dialog

%description
This package allows Evolution to interact with MS Exchange 2007 servers.

%package devel
License:        LGPL-2.1
Summary:        Exchange MAPI plugin for Evolution (experimental)
Group:          Development/Libraries/GNOME
Provides:       pkgconfig(libexchangemapi)
Requires:       %{name} = %{version}-%{release}

%description devel
Development files needed for building things which link against %{name}.

%lang_package

%prep
%setup -q
%patch0 -p1

%build
export PKG_CONFIG_PATH=%{sambaprefix}/%{_lib}/pkgconfig:$PKG_CONFIG_PATH
# Regenerate configure to pick up changes
autoreconf --force --install
%configure \
     --disable-maintainer-mode
make %{?_smp_mflags}

%install
%makeinstall
# Remove the .la files
find %{buildroot}/%{_libdir} -name '*.la' -exec rm {} \;
%find_lang %{name}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/*.so.*
%{_libdir}/evolution-data-server/*/*.so
%{_libdir}/evolution-data-server/*/*.urls
%{_datadir}/evolution-data-server-*/mapi
%{_libdir}/evolution/*/modules/*.so

%files lang -f %{name}.lang

%files devel
%defattr(-,root,root)
%{_includedir}/evolution-data-server-*/mapi
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%changelog